@import '~@bit/bit.base-ui.theme.colors';
@import '~@bit/bit.base-ui.layout.breakpoints';
@import '~@bit/bit.base-ui.constants.storage/_storage.module.scss';

$metallicCloud: #f7f9fc;
$metallicCloudEscaped: '%23f7f9fc';

.enterpriseOffering {
	h2 {
		color: var(--text-highlight, inherit);
	}
}

.supportCirclesBg {
	background-image: url($staticStorageUrl + '/enterprise-offering-v1/7-support/support-circuits-bg.svg');
	background-repeat: no-repeat;
	background-position: center top;
	padding-top: 300px;
	padding-bottom: 130px;
}

//gradients:
.gradient00 {
	background-image: url($staticStorageUrl + '/enterprise-offering-v1/1-hero-section/spray-bg.svg'),
		radial-gradient(circle at 50% 88%, #000000, #232323 106%);
	color: #eceaff;
}

.gradient01 {
	background-image: linear-gradient(to bottom, rgba(256, 256, 256, 0), $metallicCloud);
}

.gradient02 {
	background-image: linear-gradient(to top, rgba(256, 256, 256, 0), $metallicCloud);
}

//separators:
.foldMargin {
	margin-bottom: 50px;

	@media screen and (min-width: $br-sm) {
		margin-bottom: 80px;
	}

	@media screen and (min-width: $br-l) {
		margin-bottom: 130px;
	}
}

.foldMarginPlus {
	margin-bottom: 130px;

	@media screen and (min-width: $br-sm) {
		margin-bottom: 180px;
	}
}

.circlesMargin {
	margin-top: -180px;

	@media screen and (min-width: $br-sm) {
		margin-top: -130px;
	}
}

.curveMargin {
	height: 80px;
	background-size: 1921px 200px;

	@media screen and (min-width: $br-l) {
		height: 200px;
	}

	@media screen and (min-width: $br-xxl) {
		background-size: 100% 100%;
	}
}

.curve {
	background-repeat: no-repeat;
	background-position: center top;

	&White {
		@extend .curve;
		$curve-color: white;
		$svg-data-url: "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100' preserveAspectRatio='none' fill='" +
			$curve-color + "'%3E%3Cpath d='M 0,100 Q 50,-100 100,100'%3E%3C/path%3E%3C/svg%3E";
		background-image: url($svg-data-url);
	}

	&Cloud {
		@extend .curve;
		$curve-color: $metallicCloudEscaped;
		$svg-data-url: "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100' preserveAspectRatio='none' fill='" +
			$curve-color + "'%3E%3Cpath d='M 0,100 Q 50,-100 100,100'%3E%3C/path%3E%3C/svg%3E";
		background-image: url($svg-data-url);
	}
}

// sections specifics:
.expertSupport {
	margin-bottom: 311px;
}

.paddingTop30 {
	padding-top: 30px;
}

.paddingTop130 {
	padding-top: 130px;
}
